Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IUIManager

public interface IUIManager

Author:
  Actuate Corporation

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addCollectionInstance(String sCollection)`
Add a single instance of all the sheets defined in the specified collection.
`org.eclipse.birt.chart.model.Chart`
`getCurrentModelState()`
Returns a COPY of the current model state.
`String[]`
`getRegisteredCollectionValue(String sCollection)`
Get the node names present in the specified collection.
`boolean`
`registerSheetCollection(String sCollection, String[] saNodePaths)`
Register a collection of Sheets (denoted by their Node Paths) that can be operated on together.
`boolean`
`removeCollectionInstance(String sCollection)`
Remove the last instance of each sheet defined in the specified collection.

## Method Details

### registerSheetCollection

boolean registerSheetCollection(String sCollection, String[] saNodePaths)
Register a collection of Sheets (denoted by their Node Paths) that can be operated on together.

Parameters:
  `sCollection` - unique name for the collection
  `saNodePaths` - array of node paths associated with each sheet entry in the collection
Returns:
  the result of the registration. Will be false if collection is already defined.

### getRegisteredCollectionValue

String[] getRegisteredCollectionValue(String sCollection)
Get the node names present in the specified collection.

Parameters:
  `sCollection` - name of the collection whose contents are to be fetched
Returns:
  array of node paths present in the registered collection. null if collection is not found

### addCollectionInstance

boolean addCollectionInstance(String sCollection)
Add a single instance of all the sheets defined in the specified collection.

Parameters:
  `sCollection` - name of collection whose components are to be added
Returns:
  true if addition of all the nodes succeeds. false if any component was not found or if addition of any node fails

### removeCollectionInstance

boolean removeCollectionInstance(String sCollection)
Remove the last instance of each sheet defined in the specified collection.

Parameters:
  `sCollection` - name of collection whose components are to be removed
Returns:
  true if removal of all nodes was successful. false if any component was not found or any component could not be removed

### getCurrentModelState

org.eclipse.birt.chart.model.Chart getCurrentModelState()
Returns a COPY of the current model state. Changes made in this model will not be reflected in the 'actual' model of the chart

Returns:
  copy of the current chart model with the editor